Editorial Plan
Manage the editorial plan: voice, cadence, platform mix, and weekly themes.
GET
/brands/:slug/editorial-planGet the active editorial plan and any proposed changes.
Responses
200Plan object
curl -X GET \ https://anomalia.so/api/v1/brands/:slug/editorial-plan \ -H "Authorization: Bearer $TOKEN"
POST
/brands/:slug/editorial-plan/proposeGenerate a new plan proposal using AI.
Responses
200Proposal
curl -X POST \ https://anomalia.so/api/v1/brands/:slug/editorial-plan/propose \ -H "Authorization: Bearer $TOKEN"
POST
/brands/:slug/editorial-plan/approveApprove the proposed plan.
Responses
200Approved
curl -X POST \ https://anomalia.so/api/v1/brands/:slug/editorial-plan/approve \ -H "Authorization: Bearer $TOKEN"
POST
/brands/:slug/editorial-plan/reviseRequest AI revisions with feedback.
Request Body
{ "feedback": "More behind-the-scenes content" }Responses
200Revised
curl -X POST \
https://anomalia.so/api/v1/brands/:slug/editorial-plan/revise \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{ "feedback": "More behind-the-scenes content" }'POST
/brands/:slug/editorial-plan/updateManually update the plan.
Request Body
{ "cadence": "5/week", "platform_mix": { "instagram": 0.6 } }Responses
200Updated
curl -X POST \
https://anomalia.so/api/v1/brands/:slug/editorial-plan/update \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{ "cadence": "5/week", "platform_mix": { "instagram": 0.6 } }'POST
/brands/:slug/editorial-plan/discardDiscard the proposed plan.
Responses
200Discarded
curl -X POST \ https://anomalia.so/api/v1/brands/:slug/editorial-plan/discard \ -H "Authorization: Bearer $TOKEN"